audtool segfaults in g_dbus_connection_close_sync() occasionally

April 13, 2020 12:38 - Igor Kushnir

Status: Rejected Start date:  

Priority: Minor Due date:  

Assignee:  % Done: 0%

Category: audtool Estimated time: 0.00 hour

Target version:    

Affects version: 3.10.1, 4.0.1   

Description

Most of the crashes in the attachment happened to audtool called by my application, not manually. But today when I run `audtool

help` from terminal, it displayed the help message and segfaulted. I don't know if versions other than 3.10.1 and 4.0.1 are affected,

because my coredumpctl list goes back less than five months.

History

#1 - April 13, 2020 14:18 - John Lindgren

I cannot reproduce this. The backtrace is deep in some GLib code so it doesn't look like our bug at first glance.

(edit: typo)

#2 - April 13, 2020 14:45 - Igor Kushnir

audtool is one of the most common programs in my coredumpctl list. audtool runs only for a very short time, though many times every day on my

system. So this launch frequency could be a reason it crashes relatively often. Or perhaps it's something about how audtool is built.

#3 - April 13, 2020 16:33 - John Lindgren

Well, the backtraces are all identical, and all within g_dbus_connection_close_sync(). I suspect there is a bug in that function -- maybe related to it

being called in an atexit() handler.

To get to the root of this, someone will have to find a way to reliably reproduce it, and then spend some time debugging that call tree in GLib. I don't

have the time to do this myself.

#4 - April 13, 2020 16:34 - John Lindgren

- Subject changed from audtool segfaults occasionally to audtool segfaults in g_dbus_connection_close_sync() occasionally

#5 - August 27, 2021 22:46 - John Lindgren

Has anyone else reproduced this in >1 year?

#6 - August 28, 2021 08:36 - Igor Kushnir

My current coredumpctl list starts on 2021-02-17 and contains no audtool entries. I think this issue can be closed. Must have been fixed somewhere,

somehow.

#7 - August 30, 2021 17:33 - John Lindgren

- Status changed from New to Rejected

Okay thanks for the update!
